Ask Your Question
0

yaml.load() is deprecated when source melodic_ws/setup.bash is executed.

asked 2019-10-14 17:31:30 -0600

Hi!

I am following the tutorial 1 (http://wiki.ros.org/ROS/Tutorials/Ins...) and in the point 3.0 "Creating a new workspace" when I do in my terminal source ~/melodic_ws/setup.bash the next message is return:

<stdin>:21: YAMLLoadWarning: calling yaml.load() without Loader=... is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.

Can anyone tell me why occur this and if this warning is important?

edit retag flag offensive close merge delete

Comments

It would be good if you could provide a little more of the surrounding lines of the message. Or are there no more and this is all that is printed?

gvdhoorn gravatar imagegvdhoorn ( 2019-10-15 02:43:58 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2019-10-14 19:49:42 -0600

Jari gravatar image

This is just a warning. As far as I can tell it should not have a practical impact on anything, but recent version of the yaml python package will print this warning to get folks to stop using the normal load command.

There's nothing you can change about this as far as the base ROS code is concerned, but also nothing you need to worry about. I'm sure at some point one of the core developers will get annoyed by the warnings enough to change the code that causes it.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2019-10-14 17:31:30 -0600

Seen: 85 times

Last updated: Oct 14